<template>

	<div>

		<div class="jumbotron jumbotron-fluid">

			<div class="container">

				<h1 class="display-3">Product listing</h1>

				<p class="lead">This is the list of our available books. Hope you will find something that fit your needs.</p>

			</div>

		</div>

		<div class="card-deck">

			<product :checkout="false" :product="product" v-for="product in products"></product>

		</div>

	</div>

</template>

<script>

import Product from 'components/Product';

import { mapGetters, mapActions } from 'vuex';

export default {

	name: 'products',

	computed: mapGetters({

		products: 'allProducts',

	}),

	methods: mapActions([

		'addToCart',

	]),

	created() {

		this.$store.dispatch('getAllProducts');

	},

	components: {

		Product,

	},

};

</script>

<style scoped>

	.card-group {

		justify-content: space-between;
	}

</style>
